G2 OPC Bridge Not Writing Values Correctly

Overview

The G2-OPC bridge is not correctly updating variables in the OPC server. 

Information

The G2-OPC bridge may have issues when using a gsi-opc-item to write on the OPC server. While there is no indication that the value in the OPC server has not been updated, and when reading the variable with the G2 OPC bridge it appears it was updated, when checking the same value with another OPC client like Matrikon Explorer it is clear this is not the case.

A fix for this specific issue has been included in version 2021.2. If your G2 version is 2021.1 or older and you are experiencing this problem, an upgrade to the latest version of G2 available is highly recommended. For questions about upgrading to our latest release, reach out directly to your Account Manager.

If an upgrade is not possible at the current moment, contact Gensym support to get assistance on this matter.

<supportagent>​Note: If a customer is not able to upgrade to the latest version, a possible workaround is to provide the G2 OPC bridge executable included in the G2 installation for the latest version as described in Handling G2 OPC Bridge Data Reading Error. Try to reproduce the issue in the latest version if the customer has provided a KB. If the issue is not experienced, confirm with the PCA if the executable can be provided. If the issue is still present in the latest version, report the defect.

</supportagent>

 

Comments

0 comments

Please sign in to leave a comment.